Skip to content

The served legal documents and this tenant's acceptances

GET
/v1/agreements
curl --request GET \
--url https://api.vocapable.com/v1/agreements \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
AgreementList
object
documents
required
Documents
Array<object>
AgreementDocument

One gated document as currently served, with the caller-tenant’s acceptance state.

object
kind
required
Kind
string
Allowed values: msa telecom_addendum test_calls_addendum aup dpa production_services_order scrub_attestation api_source_attestation three_year_commitment_addendum cold_outreach_waiver
version
required
Version
string
content_sha256
required
Content Sha256
string
markdown
Any of:
string
gate_scope
required
Gate Scope
string
Allowed values: account production headless commitment cold_outreach
draft
required
Draft
boolean
accepted
required
Accepted
boolean
accepted_version
Any of:
string
accepted_at
Any of:
string format: date-time
Example
{
"documents": [
{
"kind": "msa",
"gate_scope": "account"
}
]
}